## dzl-bolding-label

dzl-bolding-label

## Functions

DzlBoldingLabel * | dzl_bolding_label_new ()
DzlBoldingLabel * | dzl_bolding_label_new_with_mnemonic ()
void | dzl_bolding_label_set_weight ()
void | dzl_bolding_label_set_bold ()

## Properties

gboolean | bold | Write

## Types and Values

#define | DZL_TYPE_BOLDING_LABEL
| DzlBoldingLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkMisc
                    ╰── GtkLabel
                        ╰── DzlBoldingLabel

## Implemented Interfaces

DzlBoldingLabel implements AtkImplementorIface and GtkBuildable.

## Description

This is a GtkLabel widget that will allocate extra space if necessary so that the size request will not change when the contents of the label are bolded.

This might be useful when you want to change a label based on some selection state without it affecting the size request or layout.

Remember that bold and non-bold variants of fonts can often be very different in terms of styling. To reduce the chances that you see shifts in placement, you may want to set the “xalign” or “halign” properties to 0.0 or `GTK_ALIGN_START` respectively.

## Functions

### dzl_bolding_label_new ()

    DzlBoldingLabel *
    dzl_bolding_label_new (const gchar *str,
                           gboolean bold);

### dzl_bolding_label_new_with_mnemonic ()

    DzlBoldingLabel *
    dzl_bolding_label_new_with_mnemonic (const gchar *str,
                                         gboolean bold);

### dzl_bolding_label_set_weight ()

    void
    dzl_bolding_label_set_weight (DzlBoldingLabel *self,
                                  PangoWeight weight);

### dzl_bolding_label_set_bold ()

    void
    dzl_bolding_label_set_bold (DzlBoldingLabel *self,
                                gboolean bold);

## Types and Values

### DZL_TYPE_BOLDING_LABEL

    #define DZL_TYPE_BOLDING_LABEL (dzl_bolding_label_get_type())

### DzlBoldingLabel

    typedef struct _DzlBoldingLabel DzlBoldingLabel;

## Property Details

### The `“bold”` property

      “bold”                     gboolean

Set the bold weight for the label.

Owner: DzlBoldingLabel

Flags: Write

Default value: FALSE